#ifndef OBJCSOURCEFILE_H_
#define OBJCSOURCEFILE_H_

#include "csourcefile.h"

/**
Represents an Objective-C source file.
*/
class ObjCSourceFile: public CSourceFile
{
public:
	ObjCSourceFile(Builder &, const Msp::FS::Path &);
	ObjCSourceFile(Builder &, const Component &, const Msp::FS::Path &);

	virtual const char *get_type() const { return "ObjCSourceFile"; }

protected:
	virtual void parse_includes(Msp::IO::Base &);
};

#endif
