#include <msp/io/print.h>
#include "logger.h"

using namespace std;
using namespace Msp;

void Logger::enable_channel(const string &chan)
{
	enabled_channels.insert(chan);
}

void Logger::disable_channel(const string &chan)
{
	enabled_channels.erase(chan);
}

void Logger::log(const string &chan, const string &message) const
{
	if(enabled_channels.count(chan))
		IO::print("%s\n", message);
}
